(define (domain MulValAG)
(:requirements :strips :probabilistic-effects)
(:functions (total-cost))
(:constants
    subnet_2
    subnet_1
    windows_2003_server
    tcp
    export
    root
    ie
    mailserver
    httpd
    remoteexploit
    can_2002_0392
    write
    victim_1
    victim_3
    internet
    privescalation
    remoteclient
    httpprotocol
    fileserver
    victim_2
    httpport
    webserver
    user
    apache
    workstation
    h
    P80
    m
    windows_2000
    cve_2010_0483
    cve_2010_0490
    nfsport
    cve_2010_0812
    nfsprotocol
)
(:predicates
    (hasaccount ?x0 ?x1 ?x2)
    (netaccess ?x0 ?x1 ?x2)
    (execcode ?x0 ?x1)
    (hacl ?x0 ?x1 ?x2 ?x3)
    (accessmaliciousinput ?x0 ?x1 ?x2)
    (accessfile ?x0 ?x1 ?x2)
    (incompetent ?x0)
    (attackerlocated ?x0)
    (cvss ?x0 ?x1)
    (nfsexportinfo ?x0 ?x1 ?x2 ?x3)
    (vulexists ?x0 ?x1 ?x2 ?x3 ?x4)
    (networkserviceinfo ?x0 ?x1 ?x2 ?x3 ?x4)
)
(:action RULE_3_0
    :parameters ()
    :precondition (and
        (accessfile mailserver write export)
    )
    :effect (and (increase (total-cost) 1.0) (probabilistic 0.5 (and
        (execcode mailserver root)
    )))
)
(:action RULE_16_0
    :parameters ()
    :precondition (and
        (hacl webserver mailserver nfsprotocol nfsport)
        (nfsexportinfo mailserver export write webserver)
        (execcode webserver apache)
    )
    :effect (and (increase (total-cost) 1.0) (probabilistic 0.8 (and
        (accessfile mailserver write export)
    )))
)
(:action RULE_1_0
    :parameters ()
    :precondition (and
        (netaccess webserver tcp P80)
        (networkserviceinfo webserver httpd tcp P80 apache)
        (cvss can_2002_0392 h)
        (vulexists webserver can_2002_0392 httpd remoteexploit privescalation)
    )
    :effect (and (increase (total-cost) 1.0) (probabilistic 0.2 (and
        (execcode webserver apache)
    )))
)
(:action RULE_5_0
    :parameters ()
    :precondition (and
        (hacl internet webserver tcp P80)
        (attackerlocated internet)
    )
    :effect (and (increase (total-cost) 1.0) (probabilistic 1 (and
        (netaccess webserver tcp P80)
    )))
)
(:action RULE_2_0
    :parameters ()
    :precondition (and
        (accessmaliciousinput subnet_1 victim_1 windows_2000)
        (hasaccount victim_1 subnet_1 user)
        (cvss cve_2010_0483 h)
        (vulexists subnet_1 cve_2010_0483 windows_2000 remoteclient privescalation)
    )
    :effect (and (increase (total-cost) 1.0) (probabilistic 0.2 (and
        (execcode subnet_1 user)
    )))
)
(:action RULE_20_0
    :parameters ()
    :precondition (and
        (attackerlocated internet)
        (hacl subnet_1 internet httpprotocol httpport)
        (incompetent victim_1)
    )
    :effect (and (increase (total-cost) 1.0) (probabilistic 0.8 (and
        (accessmaliciousinput subnet_1 victim_1 windows_2000)
    )))
)
(:action RULE_2_1
    :parameters ()
    :precondition (and
        (accessmaliciousinput subnet_2 victim_2 ie)
        (hasaccount victim_2 subnet_2 user)
        (cvss cve_2010_0490 m)
        (vulexists subnet_2 cve_2010_0490 ie remoteclient privescalation)
    )
    :effect (and (increase (total-cost) 1.0) (probabilistic 0.6 (and
        (execcode subnet_2 user)
    )))
)
(:action RULE_20_1
    :parameters ()
    :precondition (and
        (attackerlocated internet)
        (hacl subnet_2 internet httpprotocol httpport)
        (incompetent victim_2)
    )
    :effect (and (increase (total-cost) 1.0) (probabilistic 0.8 (and
        (accessmaliciousinput subnet_2 victim_2 ie)
    )))
)
(:action RULE_3_1
    :parameters ()
    :precondition (and
        (accessfile workstation write export)
    )
    :effect (and (increase (total-cost) 1.0) (probabilistic 0.5 (and
        (execcode workstation root)
    )))
)
(:action RULE_16_1
    :parameters ()
    :precondition (and
        (hacl fileserver workstation nfsprotocol nfsport)
        (nfsexportinfo workstation export write fileserver)
        (execcode fileserver user)
    )
    :effect (and (increase (total-cost) 1.0) (probabilistic 0.8 (and
        (accessfile workstation write export)
    )))
)
(:action RULE_2_2
    :parameters ()
    :precondition (and
        (accessmaliciousinput fileserver victim_3 windows_2003_server)
        (hasaccount victim_3 fileserver user)
        (cvss cve_2010_0812 m)
        (vulexists fileserver cve_2010_0812 windows_2003_server remoteclient privescalation)
    )
    :effect (and (increase (total-cost) 1.0) (probabilistic 0.6 (and
        (execcode fileserver user)
    )))
)
(:action RULE_20_2
    :parameters ()
    :precondition (and
        (attackerlocated internet)
        (hacl fileserver internet httpprotocol httpport)
        (incompetent victim_3)
    )
    :effect (and (increase (total-cost) 1.0) (probabilistic 0.8 (and
        (accessmaliciousinput fileserver victim_3 windows_2003_server)
    )))
)
)
