(define (domain MulValAG)
(:requirements :strips :probabilistic-effects)
(:functions (total-cost))
(:constants
    citrixserver_2
    n1_2010_0812
    windows_2003_server
    tcp
    webserver_1
    export
    ie
    httpd
    commserver_2
    datahistorian_2
    subnet_1_1
    subnet_1_2
    write
    n2_2010_0494
    n2_2010_0490
    internet
    victim_1_3
    victim_1_2
    privescalation
    remoteclient
    n1_2010_0483
    victim_1_1
    httpprotocol
    fileserver_1
    remoteexploit
    workstation_1
    httpport
    mailserver_1
    user
    apache
    victim_2_1
    victim_2_2
    n1_2002_0392
    h
    P80
    m
    nfsprotocol
    mountd
    windows_2000
    n2_2010_0483
    nfsport
    n1_2010_0490
    root
)
(:predicates
    (hasaccount ?x0 ?x1 ?x2)
    (vulexists ?x0 ?x1 ?x2 ?x3 ?x4)
    (execcode ?x0 ?x1)
    (hacl ?x0 ?x1 ?x2 ?x3)
    (accessmaliciousinput ?x0 ?x1 ?x2)
    (accessfile ?x0 ?x1 ?x2)
    (incompetent ?x0)
    (attackerlocated ?x0)
    (cvss ?x0 ?x1)
    (nfsexportinfo ?x0 ?x1 ?x2 ?x3)
    (netaccess ?x0 ?x1 ?x2)
    (networkserviceinfo ?x0 ?x1 ?x2 ?x3 ?x4)
)
(:action RULE_2_0
    :parameters ()
    :precondition (and
        (accessmaliciousinput citrixserver_2 victim_2_2 ie)
        (hasaccount victim_2_2 citrixserver_2 user)
        (cvss n2_2010_0490 m)
        (vulexists citrixserver_2 n2_2010_0490 ie remoteclient privescalation)
    )
    :effect (and (increase (total-cost) 1.0) (probabilistic 0.6 (and
        (execcode citrixserver_2 user)
    )))
)
(:action RULE_20_0
    :parameters ()
    :precondition (and
        (attackerlocated internet)
        (hacl citrixserver_2 internet httpprotocol httpport)
        (incompetent victim_2_2)
    )
    :effect (and (increase (total-cost) 1.0) (probabilistic 0.8 (and
        (accessmaliciousinput citrixserver_2 victim_2_2 ie)
    )))
)
(:action RULE_2_1
    :parameters ()
    :precondition (and
        (accessmaliciousinput commserver_2 victim_2_1 windows_2000)
        (hasaccount victim_2_1 commserver_2 user)
        (cvss n2_2010_0483 h)
        (vulexists commserver_2 n2_2010_0483 windows_2000 remoteclient privescalation)
    )
    :effect (and (increase (total-cost) 1.0) (probabilistic 0.2 (and
        (execcode commserver_2 user)
    )))
)
(:action RULE_20_1
    :parameters ()
    :precondition (and
        (attackerlocated internet)
        (hacl commserver_2 internet httpprotocol httpport)
        (incompetent victim_2_1)
    )
    :effect (and (increase (total-cost) 1.0) (probabilistic 0.8 (and
        (accessmaliciousinput commserver_2 victim_2_1 windows_2000)
    )))
)
(:action RULE_1_0
    :parameters ()
    :precondition (and
        (netaccess datahistorian_2 httpprotocol httpport)
        (networkserviceinfo datahistorian_2 mountd httpprotocol httpport root)
        (cvss n2_2010_0494 m)
        (vulexists datahistorian_2 n2_2010_0494 mountd remoteexploit privescalation)
    )
    :effect (and (increase (total-cost) 1.0) (probabilistic 0.6 (and
        (execcode datahistorian_2 root)
    )))
)
(:action RULE_4_0
    :parameters ()
    :precondition (and
        (hacl commserver_2 datahistorian_2 httpprotocol httpport)
        (execcode commserver_2 user)
    )
    :effect (and (increase (total-cost) 1.0) (probabilistic 1 (and
        (netaccess datahistorian_2 httpprotocol httpport)
    )))
)
(:action RULE_3_0
    :parameters ()
    :precondition (and
        (accessfile mailserver_1 write export)
    )
    :effect (and (increase (total-cost) 1.0) (probabilistic 0.5 (and
        (execcode mailserver_1 root)
    )))
)
(:action RULE_16_0
    :parameters ()
    :precondition (and
        (hacl webserver_1 mailserver_1 nfsprotocol nfsport)
        (nfsexportinfo mailserver_1 export write webserver_1)
        (execcode webserver_1 apache)
    )
    :effect (and (increase (total-cost) 1.0) (probabilistic 0.8 (and
        (accessfile mailserver_1 write export)
    )))
)
(:action RULE_1_1
    :parameters ()
    :precondition (and
        (netaccess webserver_1 tcp P80)
        (networkserviceinfo webserver_1 httpd tcp P80 apache)
        (cvss n1_2002_0392 h)
        (vulexists webserver_1 n1_2002_0392 httpd remoteexploit privescalation)
    )
    :effect (and (increase (total-cost) 1.0) (probabilistic 0.2 (and
        (execcode webserver_1 apache)
    )))
)
(:action RULE_5_0
    :parameters ()
    :precondition (and
        (hacl internet webserver_1 tcp P80)
        (attackerlocated internet)
    )
    :effect (and (increase (total-cost) 1.0) (probabilistic 1 (and
        (netaccess webserver_1 tcp P80)
    )))
)
(:action RULE_2_2
    :parameters ()
    :precondition (and
        (accessmaliciousinput subnet_1_1 victim_1_1 windows_2000)
        (hasaccount victim_1_1 subnet_1_1 user)
        (cvss n1_2010_0483 h)
        (vulexists subnet_1_1 n1_2010_0483 windows_2000 remoteclient privescalation)
    )
    :effect (and (increase (total-cost) 1.0) (probabilistic 0.2 (and
        (execcode subnet_1_1 user)
    )))
)
(:action RULE_20_2
    :parameters ()
    :precondition (and
        (attackerlocated internet)
        (hacl subnet_1_1 internet httpprotocol httpport)
        (incompetent victim_1_1)
    )
    :effect (and (increase (total-cost) 1.0) (probabilistic 0.8 (and
        (accessmaliciousinput subnet_1_1 victim_1_1 windows_2000)
    )))
)
(:action RULE_2_3
    :parameters ()
    :precondition (and
        (accessmaliciousinput subnet_1_2 victim_1_2 ie)
        (hasaccount victim_1_2 subnet_1_2 user)
        (cvss n1_2010_0490 m)
        (vulexists subnet_1_2 n1_2010_0490 ie remoteclient privescalation)
    )
    :effect (and (increase (total-cost) 1.0) (probabilistic 0.6 (and
        (execcode subnet_1_2 user)
    )))
)
(:action RULE_20_3
    :parameters ()
    :precondition (and
        (attackerlocated internet)
        (hacl subnet_1_2 internet httpprotocol httpport)
        (incompetent victim_1_2)
    )
    :effect (and (increase (total-cost) 1.0) (probabilistic 0.8 (and
        (accessmaliciousinput subnet_1_2 victim_1_2 ie)
    )))
)
(:action RULE_3_1
    :parameters ()
    :precondition (and
        (accessfile workstation_1 write export)
    )
    :effect (and (increase (total-cost) 1.0) (probabilistic 0.5 (and
        (execcode workstation_1 root)
    )))
)
(:action RULE_16_1
    :parameters ()
    :precondition (and
        (hacl fileserver_1 workstation_1 nfsprotocol nfsport)
        (nfsexportinfo workstation_1 export write fileserver_1)
        (execcode fileserver_1 user)
    )
    :effect (and (increase (total-cost) 1.0) (probabilistic 0.8 (and
        (accessfile workstation_1 write export)
    )))
)
(:action RULE_2_4
    :parameters ()
    :precondition (and
        (accessmaliciousinput fileserver_1 victim_1_3 windows_2003_server)
        (hasaccount victim_1_3 fileserver_1 user)
        (cvss n1_2010_0812 m)
        (vulexists fileserver_1 n1_2010_0812 windows_2003_server remoteclient privescalation)
    )
    :effect (and (increase (total-cost) 1.0) (probabilistic 0.6 (and
        (execcode fileserver_1 user)
    )))
)
(:action RULE_20_4
    :parameters ()
    :precondition (and
        (attackerlocated internet)
        (hacl fileserver_1 internet httpprotocol httpport)
        (incompetent victim_1_3)
    )
    :effect (and (increase (total-cost) 1.0) (probabilistic 0.8 (and
        (accessmaliciousinput fileserver_1 victim_1_3 windows_2003_server)
    )))
)
)
